## python-openflow 1.1.0~alpha2

=== requirements.txt ===
# If you only want to use the library, you only need Python >= 3.5.
# For python-openflow developers, check requirements-dev.txt.
# To update the documentation, check requirements-docs.txt.

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

default:
	make clean
	make html


.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf pyof.*
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	sphinx-apidoc -o . ../pyof/ -d10 -M
	sed -i "/Submodules/,+1d" *.rst
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-openflowlibrary.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-openflowlibrary.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-openflowlibrary"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-openflowlibrary"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

livehtml:
	sphinx-autobuild -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html -z ../pyof

=== debian/changelog ===
python-openflow (1.1.0~alpha2-1) unstable; urgency=medium

  * Initial release (Closes: #843125)

 -- Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org>  Sat, 05 Nov 2016 00:22:21 -0200

=== debian/control ===
Source: python-openflow
Section: python
Priority: optional
Maintainer: Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3,
               python3-all,
               python3-setuptools
X-Python3-Version: >= 3.5
Standards-Version: 3.9.8
Homepage: https://github.com/kytos/python-openflow

Package: python3-openflow
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: low level library to parse OpenFlow messages
 If you want to read an OpenFlow packet from an open socket or send a message
 to an OpenFlow switch, this is your best friend. The main features are:
 high performance, latest specification compliance, short learning curve and
 free software license.
 .
 This library is part of Kytos project, a collaborative project between
 SPRACE (from São Paulo State University, Unesp) and Caltech (California
 Institute of Technology). python-openflow was developed to be used with
 Kytos controller, but feel free to use this simple and intuitive library
 in another project with another controller.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME = python3-openflow

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf python_openflow.egg-info

=== debian/watch ===
version=4
opts=uversionmangle=s/-alpha/~alpha/ \
https://github.com/kytos/python-openflow/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## python-openflow 2017.2b1+dfsg

=== debian/changelog ===
python-openflow (2017.2b1+dfsg-2) unstable; urgency=medium

  * New upload because the bug #877191 was solved.
  * debian/control: bumped Standards-Version to 4.1.1.

 -- Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org>  Mon, 13 Nov 2017 15:03:47 -0200

python-openflow (2017.2b1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
      - Build-Depends updated to python3.6.
      - Bumped Standards-Version to 4.1.0.
  * debian/copyright:
      - Copyright year updated.
      - Kytos Team e-mail address changed.
  * debian/docs:
      - Added AUTHORS.rst.
      - Removed requirements because they are necessary.
  * debian/manpage: updated.
  * debian/patches/10-remove-install-and-fix-url-README.patch: deleted.
  * debian/README.source: created to explain about source missing in docs.
  * debian/rules:
      - override_dh_auto_test: added.
      - override_dh_clean removed.
  * debian/watch: opts line changed.

 -- Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org>  Tue, 26 Sep 2017 00:26:51 -0300

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org>
 Build-Depends: debhelper (>= 10),
                dh-python,
-               python3,
+               python3.6,
                python3-all,
                python3-setuptools
 X-Python3-Version: >= 3.5
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/kytos/python-openflow
 
 Package: python3-openflow

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d+$// \
https://github.com/kytos/python-openflow/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## python-openflow 2019.2

=== debian/changelog ===
python-openflow (2019.2-3) unstable; urgency=medium

  * QA upload.
  * Patch: setuptools 60 support. Closes: #1022459

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Nov 2022 10:52:11 +0200

python-openflow (2019.2-2) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.5.1.
      - Change Maintainer for Debian QA Group because it was orphaned.
      - Updated DH to level 13.
  * debian/copyright: updated packaging copyright years.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Fri, 18 Dec 2020 11:28:18 -0300

python-openflow (2019.2-1) unstable; urgency=medium

  * New upstream version 2019.2.
  * debian/control:
      - Added 'Rules-Requires-Root: no' in source stanza.
      - Added Vcs-* fields for repository in salsa.
      - Changed Maintainer's email.
      - Build-Depends added python3-pytest-runner.
      - Bumped Standards-Version to 4.4.1.
      - Bumped X-Python3-Version to 3.7.
      - New format to debhelper-compat and updated level to 12.
  * debian/copyright:
      - Changed Maintainer's email.
      - Listed all upstream files in copyright.
      - Removed files used to create manpage.
      - Updated upstream code and packaging copyrights years.
  * debian/docs: added AUTHORS from upstream repository.
  * debian/manpage: modified to use manpage from upstream.
  * debian/README.source: deleted because upstream removed docs/* files.
  * debian/salsa-ci.yml: created to start CI tests for Salsa.
  * debian/tests/*: added to perform trivial tests.
  * debian/upstream:
      - AUTHORS.rst: downloaded from upstream repository.
      - metadata: created.
  * debian/watch: updated to looking for releases in debian repository.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Fri, 03 Jan 2020 00:20:25 +0300

python-openflow (2017.2b1+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove python3.6 build dependency. Closes: #924321.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Mar 2019 12:49:28 +0100

=== debian/watch ===
version=4
https://pypi.debian.net/python-openflow/python-openflow-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-openflow 2021.1

=== debian/changelog ===
python-openflow (2021.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 2021.1.
  * Updated file paths in copyright.
  * Removed d/patches -issue fixed in new upstream.
  * Bumped Standards-Version to 4.7.0.
  * Updated font 'C' to 'R' in manpage to avoid W lintian-cannot
    select font 'C'.
  * Revised autopkgtest control and verify.sh for Python 3.12.
  * Removed old tests from d/tests.
  * Removed python version declaration from d/control.
  * Added extend-diff-ignore d/source/options.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sat, 27 Jul 2024 01:40:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: python-openflow
 Section: python
 Priority: optional
-Maintainer: Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3.6,
                python3-all,
+               python3-pytest-runner,
                python3-setuptools
-X-Python3-Version: >= 3.5
-Standards-Version: 4.1.1
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: https://github.com/kytos/python-openflow
+Vcs-Browser: https://salsa.debian.org/debian/python-openflow
+Vcs-Git: https://salsa.debian.org/debian/python-openflow.git
 
 Package: python3-openflow
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME = python3-openflow

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

=== debian/tests/control ===
Tests: verify.sh
Depends: @, python3-pytest, python3-all, python3-setuptools, python3-pytest-runner
Restrictions: allow-stderr
